--------------------------------------------------------------------------------
-- Copyright (c) 2014-2022, Lawrence Livermore National Security, LLC.
-- Produced at the Lawrence Livermore National Laboratory.
-- Written by the LBANN Research Team (B. Van Essen, et al.) listed in
-- the CONTRIBUTORS file. <lbann-dev@llnl.gov>
--
-- LLNL-CODE-697807.
-- All rights reserved.
--
-- This file is part of LBANN: Livermore Big Artificial Neural Network
-- Toolkit. For details, see http://software.llnl.gov/LBANN or
-- https://github.com/LLNL/LBANN.
--
-- Licensed under the Apache License, Version 2.0 (the "Licensee"); you
-- may not use this file except in compliance with the License.  You may
-- obtain a copy of the License at:
--
-- http://www.apache.org/licenses/LICENSE-2.0
--
-- Unless required by applicable law or agreed to in writing, software
-- distributed under the License is distributed on an "AS IS" BASIS,
-- WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
-- implied. See the License for the specific language governing
-- permissions and limitations under the license.
--------------------------------------------------------------------------------

-- LMod module file for LBANN

-- CMAKE_INSTALL_PREFIX: /usr/local
-- CMAKE_BUILD_TYPE: Release
-- CXX Compiler: /usr/local/libexec/ccache/c++
-- CXX FLAGS: -O2 -pipe -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing  -isystem /usr/local/include  -Wall -Wextra -Wno-unused-parameter -Wnon-virtual-dtor -Wshadow -Wno-deprecated-declarations
-- CXX FLAGS_DEBUG: -O2 -pipe -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing  -isystem /usr/local/include -O0
-- CXX FLAGS_RELWITHDEBINFO: -O2 -g -DNDEBUG
-- CXX FLAGS_RELEASE: -O2 -pipe -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing  -isystem /usr/local/include  -DNDEBUG
-- LBANN_GNU_LINUX: FALSE
-- LBANN_HAS_HYDROGEN: TRUE
-- LBANN_HAS_OPENCV: FALSE
-- LBANN_HAS_CEREAL: TRUE
-- LBANN_HAS_CUDA: FALSE
-- LBANN_HAS_CUDNN: FALSE
-- LBANN_HAS_NCCL2: FALSE
-- LBANN_HAS_PROTOBUF: TRUE
-- LBANN_HAS_CNPY: FALSE
-- LBANN_HAS_TBINF: FALSE
-- LBANN_HAS_VTUNE: FALSE
-- LBANN_NVPROF: FALSE
-- LBANN_HAS_DOXYGEN: FALSE
-- LBANN_HAS_LBANN_PROTO: TRUE
-- LBANN_HAS_ALUMINUM: FALSE
-- LBANN_HAS_PYTHON: 

help(
[[
LBANN version 0.103.0. Livermore Big Artificial Neural Network
Toolkit. A distributed memory, HPC-optimized, model and data parallel
training toolkit for deep neural networks.
]])

whatis("Package: LBANN")
whatis("Version: 0.103.0")
whatis("Description: Livermore Big Artificial Neural Network Toolkit. A distributed memory, HPC-optimized, model and data parallel training toolkit for deep neural networks.")
whatis("URL: https://github.com/llnl/lbann")
whatis("CMAKE_INSTALL_PREFIX: /usr/local")
whatis("CMAKE_BUILD_TYPE: Release")
whatis("CXX Compiler: /usr/local/libexec/ccache/c++")
whatis("CXX FLAGS: -O2 -pipe -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing  -isystem /usr/local/include  -Wall -Wextra -Wno-unused-parameter -Wnon-virtual-dtor -Wshadow -Wno-deprecated-declarations")
whatis("CXX FLAGS_DEBUG: -O2 -pipe -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing  -isystem /usr/local/include -O0")
whatis("CXX FLAGS_RELWITHDEBINFO: -O2 -g -DNDEBUG")
whatis("CXX FLAGS_RELEASE: -O2 -pipe -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing  -isystem /usr/local/include  -DNDEBUG")
whatis("LBANN_GNU_LINUX: FALSE")
whatis("LBANN_HAS_HYDROGEN: TRUE")
whatis("LBANN_HAS_OPENCV: FALSE")
whatis("LBANN_HAS_CEREAL: TRUE")
whatis("LBANN_HAS_CUDA: FALSE")
whatis("LBANN_HAS_CUDNN: FALSE")
whatis("LBANN_HAS_NCCL2: FALSE")
whatis("LBANN_HAS_PROTOBUF: TRUE")
whatis("LBANN_HAS_CNPY: FALSE")
whatis("LBANN_HAS_TBINF: FALSE")
whatis("LBANN_HAS_VTUNE: FALSE")
whatis("LBANN_NVPROF: FALSE")
whatis("LBANN_HAS_DOXYGEN: FALSE")
whatis("LBANN_HAS_LBANN_PROTO: TRUE")
whatis("LBANN_HAS_ALUMINUM: FALSE")
whatis("LBANN_HAS_PYTHON: ")

prepend_path("PATH","/usr/local/bin")
prepend_path("LD_LIBRARY_PATH","/usr/local/lib")
prepend_path("PYTHONPATH","/")

pushenv("LBANN_DIR","/usr/local/lib/cmake/lbann")
