////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2014-2022, Lawrence Livermore National Security, LLC.
// Produced at the Lawrence Livermore National Laboratory.
// Written by the LBANN Research Team (B. Van Essen, et al.) listed in
// the CONTRIBUTORS file. <lbann-dev@llnl.gov>
//
// LLNL-CODE-697807.
// All rights reserved.
//
// This file is part of LBANN: Livermore Big Artificial Neural Network
// Toolkit. For details, see http://software.llnl.gov/LBANN or
// https://github.com/LLNL/LBANN.
//
// Licensed under the Apache License, Version 2.0 (the "Licensee"); you
// may not use this file except in compliance with the License.  You may
// obtain a copy of the License at:
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
// implied. See the License for the specific language governing
// permissions and limitations under the license.
////////////////////////////////////////////////////////////////////////////////
#ifndef LBANN_CONFIG_HPP__
#define LBANN_CONFIG_HPP__

#include <El/hydrogen_config.h>

#ifdef HYDROGEN_HAVE_GPU
#define LBANN_HAS_GPU
#endif // HYDROGEN_HAVE_GPU

#ifdef HYDROGEN_HAVE_OMP_TASKLOOP
#define LBANN_HAVE_OMP_TASKLOOP
#endif // HYDROGEN_HAVE_OMP_TASKLOOP

/* Version string for LBANN */
#define LBANN_VERSION 0.103.0
/* #undef LBANN_GIT_VERSION */

/* Defined if LBANN is in debug mode */
/* #undef LBANN_DEBUG */

/* Defined if LBANN is linked to HWLOC */
/* #undef LBANN_TOPO_AWARE */

/* #undef LBANN_GNU_LINUX */

#define LBANN_HAS_CEREAL
#ifdef LBANN_HAS_CEREAL
#define LBANN_HAS_CEREAL_BINARY_ARCHIVES
/* #undef LBANN_HAS_CEREAL_JSON_ARCHIVES */
/* #undef LBANN_HAS_CEREAL_PORTABLE_BINARY_ARCHIVES */
/* #undef LBANN_HAS_CEREAL_XML_ARCHIVES */
#endif // LBANN_HAS_CEREAL

#define LBANN_HAS_DIHYDROGEN
/* #undef LBANN_HAS_OPENCV */
/* #undef LBANN_HAS_TBINF */
/* #undef LBANN_HAS_CNPY */
/* #undef LBANN_HAS_VTUNE */
/* #undef LBANN_HAS_ALUMINUM */
/* #undef LBANN_ALUMINUM_MPI_PASSTHROUGH */
/* #undef LBANN_HAS_EMBEDDED_PYTHON */
/* #undef LBANN_HAS_SHMEM */
/* #undef LBANN_HAS_LARGESCALE_NODE2VEC */
/* #undef LBANN_HAS_ONNX */

/* #undef LBANN_DETERMINISTIC */

/* #undef LBANN_HAS_CUDA */
/* #undef LBANN_HAS_CUDNN */
/* #undef LBANN_HAS_CUTENSOR */
/* #undef LBANN_HAS_CUTT */
#ifdef LBANN_HAS_CUDA
/* #undef LBANN_HAS_NVSHMEM */
/* #undef LBANN_NVPROF */
#endif

/* #undef LBANN_HAS_ROCM */
/* #undef LBANN_HAS_MIOPEN */
/* #undef LBANN_HAS_ROCTRACER */
/* #undef LBANN_HAS_HIPTT */

/* #undef LBANN_HAS_TENSOR_PERMUTE */

/* #undef LBANN_HAS_ONEDNN */
/* #undef LBANN_HAS_ONEDNN_CPU */
/* #undef LBANN_HAS_ONEDNN_GPU */

#if defined LBANN_HAS_CUDNN || defined LBANN_HAS_MIOPEN || defined LBANN_HAS_ONEDNN
/* #undef LBANN_HAS_DNN_LIB */
#endif

/* #undef LBANN_GRU_LAYER_CUDNN_SUPPORTED */
/* #undef LBANN_GRU_LAYER_ONEDNN_CPU_SUPPORTED */

/* #undef LBANN_HAS_HALF */
/* #undef LBANN_HAS_GPU_FP16 */

/* #undef LBANN_VTUNE */

/* #undef LBANN_SYS_SENDFILE_OK */

// API support for non-portable pthread functionality.
/* #undef LBANN_HAS_PTHREAD_AFFINITY_SUPPORT */

/* #undef LBANN_HAS_DISTCONV */

/* #undef LBANN_HAS_FFTW */
/* #undef LBANN_HAS_FFTW_FLOAT */
/* #undef LBANN_HAS_FFTW_DOUBLE */

/* #undef LBANN_HAS_BOOST */

// Define the LBANN datatype
namespace lbann
{
using DataType = float;
}// namespace lbann

#endif /* LBANN_CONFIG_H__ */
